Home of the Squeezebox™ & Transporter® network music players.
Page 5 of 7 FirstFirst ... 34567 LastLast
Results 41 to 50 of 68
  1. #41
    Senior Member
    Join Date
    Nov 2012
    Location
    UK, Nottinghamshire
    Posts
    409
    Quote Originally Posted by LabRat View Post
    I have a DS218+ (DSM 6.2.3-25426 Update 3) that recently updated to Perl 5.28.3 and now LMS will not load. I tried updating LMS to 8.1.1 from SourceForge but it will not load either.

    Is a work around to get LMS to work with the Perl update?
    Yes. Well.... kind of workaround.. Maybe just different solutions.. : LMS in Docker
    3x Squeezebox Touch, 4x Squeezebox Radio, Squeezelite (RPi 3B with HiFiBerry DAC+Pro on OSMC), Material Skin Apk, Squeeze Commander, Logitech Media Server Version: 8.2.0 with Material Skin (Docker in DS218+)

  2. #42
    Junior Member
    Join Date
    Mar 2017
    Posts
    8
    Quote Originally Posted by LabRat View Post
    I have a DS218+ (DSM 6.2.3-25426 Update 3) that recently updated to Perl 5.28.3 and now LMS will not load. I tried updating LMS to 8.1.1 from SourceForge but it will not load either.

    Is a work around to get LMS to work with the Perl update?
    Workaround mentionned in a different post (https://forums.slimdevices.com/showt...ackages/page41)

    - uninstall LMS
    - uninstall Perl 5.28.3
    - install previous Perl 5.24 manually from packages: https://archive.synology.com/downloa...rl/5.24.0-0074
    - install LMS from: https://sourceforge.net/projects/lms.../files/DSM6.x/
    - disable auto-update for Perl

    my extra advice:
    - backup : /volume1/@appstore/SqueezeCenter/prefs/
    - restore folder after LMS install

    Hope this helps - many thanks to the people who came with this solution.

    Sylvain

  3. #43
    Junior Member
    Join Date
    Jul 2009
    Posts
    4
    Thanks for two good solutions.

    I would rather not permanently back level Perl, so after a little trail and error, I was able to get LMS to work under Docker.

  4. #44

    How can I get the docker version to see subdirectories like the stand alone version

    I tried converting over to the docker version and it's up and running but it doesn't see any of my media.

    My stand lone had 2 folders and I have read this one can only have one. Ok but can it have sub directories under my 1 folder?

    My stand alone had a folder called Multimedia and from there I had sub directories. The stand alone had no issue with this but the docker version doesn't seem to be able to see my subdirectories only the root multimedia folder.

    Is there a work around for this?

    Thanks.

  5. #45
    Quote Originally Posted by fletch View Post
    I tried converting over to the docker version and it's up and running but it doesn't see any of my media.

    My stand lone had 2 folders and I have read this one can only have one. Ok but can it have sub directories under my 1 folder?

    My stand alone had a folder called Multimedia and from there I had sub directories. The stand alone had no issue with this but the docker version doesn't seem to be able to see my subdirectories only the root multimedia folder.

    Is there a work around for this?

    Thanks.
    I found someone with same issue and he had to give everyone full access to the media folder to get it to see the folder. Not really safe but it works and LMS can see my main music folder now.

    For some reason VLC can't see the docker version of LMS even though it can see my VLC player. Yet nothing plays.

    Is there a good stand alone version I can put on my Linux machine that doesn't have these limitations?



    Thanks.

  6. #46

    Downgrade Perl without LMS reinstall

    Quote Originally Posted by esylvain View Post
    Workaround mentionned in a different post (https://forums.slimdevices.com/showt...ackages/page41)

    - uninstall LMS
    - uninstall Perl 5.28.3
    - install previous Perl 5.24 manually from packages: https://archive.synology.com/downloa...rl/5.24.0-0074
    - install LMS from: https://sourceforge.net/projects/lms.../files/DSM6.x/
    - disable auto-update for Perl

    my extra advice:
    - backup : /volume1/@appstore/SqueezeCenter/prefs/
    - restore folder after LMS install

    Hope this helps - many thanks to the people who came with this solution.

    Sylvain
    I was hit by the Perl update too and managed to downgrade Perl without having to uninstall LMS.
    However it requires SSH access to the Synology.
    - stop the perl package via synopkg stop Perl
    - locate the volume where the Perl binary is installed /volumeX/@appstore/Perl
    - delete the Perl folder via rm -r
    - go to /var/packages and delete the Perl folder in here as well
    Now you can go to the Webinterface again and manually install the old version of Perl by uploading the pkg file
    After that the LMS package is able to start again

  7. #47
    Junior Member
    Join Date
    Jul 2011
    Posts
    9
    First time attempting to use LMS through Docker -- hopefully I followed the incredibly helpful guide correctly. Is there a way to access the web interface for LMS now running it through Docker... or should I just do everything through IPENG? Apologies is this information is somewhere on this site. I am not particularly tech savvy, but really don't want to give up my Touch either!

    Thanks Kindly.

  8. #48
    Quote Originally Posted by LJG View Post
    First time attempting to use LMS through Docker -- hopefully I followed the incredibly helpful guide correctly. Is there a way to access the web interface for LMS now running it through Docker... or should I just do everything through IPENG? Apologies is this information is somewhere on this site. I am not particularly tech savvy, but really don't want to give up my Touch either!

    Thanks Kindly.
    Yea I did not get a link ether. But fix is easy..just use same address as before but port number is now 9000

  9. #49
    Junior Member
    Join Date
    Aug 2012
    Posts
    12
    I also would like to be able to install LMS V8.x.x on my synology, and docker is not an option as it can't install on my synology version.
    The latest pinkdotnl synology package (8.0.0) works very well, but there is no new package for latest 8.x.x version

    I tried to create my own synology package out of github slimserver release, but it did not work. I managed to get my home-made package to install as a synology package, but it does not launch.
    Maybe someone has a recipe to create a synology package out of github slimserver releases ?

    pinkdotnl maybe ?
    Thanks

  10. #50
    Junior Member
    Join Date
    Nov 2017
    Posts
    10
    This automatic perl update of Synology killed my LMS installation as well...
    A good moment to shift to a docker container which was installed quickly on the DS918+. All great features back again, including Spotty!

    I am often afraid that this great platform dies, without any good alternative ecosystem. Keep up the good work!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •